#!/bin/sh
# $Id: installer.sh 62 2024-09-18 20:02:26Z nishi $

fail() {
	rm -f tewi-service.exe
	rm -f tewi.exe
	exit 1
}

make clean || fail
make PLATFORM=$1 -j4 || fail
cp Server/tewi.exe tewi.exe
make clean || fail
make PLATFORM=$1-service -j4 || fail
cp Server/tewi.exe tewi-service.exe
cd Server
makensis install.nsi
rm -f tewi.exe tewi-service.exe
cd ..
